Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.remote
Class NotificationTuple

    java.lang.Object
      mx4j.remote.NotificationTuple

public class NotificationTuple
extends java.lang.Object

Version:
  $Revision: 1.5 $

Constructor Summary
`NotificationTuple(javax.management.ObjectName observed, javax.management.NotificationListener listener)`
`NotificationTuple(javax.management.ObjectName observed, javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Object` | `getHandback()`
`boolean` | `getInvokeFilter()`
`javax.management.NotificationFilter` | `getNotificationFilter()`
`javax.management.NotificationListener` | `getNotificationListener()`
`javax.management.ObjectName` | `getObjectName()`
`int` | `hashCode()`
`void` | `setInvokeFilter(boolean invoke)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotificationTuple

    public NotificationTuple(javax.management.ObjectName observed,
                             javax.management.NotificationListener listener)

### NotificationTuple

    public NotificationTuple(javax.management.ObjectName observed,
                             javax.management.NotificationListener listener,
                             javax.management.NotificationFilter filter,
                             java.lang.Object handback)

Method Detail

### getObjectName

    public javax.management.ObjectName getObjectName()

### getNotificationListener

    public javax.management.NotificationListener getNotificationListener()

### getHandback

    public java.lang.Object getHandback()

### getNotificationFilter

    public javax.management.NotificationFilter getNotificationFilter()

### setInvokeFilter

    public void setInvokeFilter(boolean invoke)

### getInvokeFilter

    public boolean getInvokeFilter()

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.